This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 128582 - cvs plugin doesn't remember password
cvs plugin doesn't remember password
Status: NEW
Product: Red Hat Developer Suite
Classification: Retired
Component: Platform (Show other bugs)
2.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Macdonald
eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-26 14:01 EDT by Ben Konrath
Modified: 2012-04-30 23:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Konrath 2004-07-26 14:01:22 EDT
Description of problem:
The cvs plugin does not remember my password even though "remember
password" is checked.

How reproducible:

Very.

Steps to Reproduce:

1. make sure your not using ssh-agent
2. add a cvs repo w/ ext conection method (I'm using
:ext:tomato.toronto.redhat.com:/home/handcock/eclipse-test-cvsroot
from the test plan)
3. browse the repo
 
Actual results:

Get up to 3 password prompts everytime I browse any module

Expected results:

It should remember the password if the "remember password" box is checked.

Additional info:

 * I think that this is a upstream problem. I haven't filed upstream
though. This might also be a problem with the way we have the network
configured. I'm not really sure. 

 * I've only tested with i386 so far. It may exist in others.
Comment 1 Jeremy Handcock 2004-07-26 14:51:52 EDT
Is it asking for your ssh key passphrase, or your login password?  The
"remember password" functionality is for your login password.

You have: "1. make sure your not using ssh-agent".  If you don't use
an ssh-agent, your ssh key can't be held in memory, and therefore you
have to enter your ssh key passphrase every time you want to use it.

Is that what's happening?
Comment 2 Ben Konrath 2004-07-26 15:54:55 EDT
I'm talking about login password.

Our set-up here in toronto is a little confusing - because gnome
starts up with ssh-agent you will always get the prompt for your
ssh-key password (if you haven't done ssh-add), falling back to your
login password if your ssh-key password didn't work.  

I just tried it with the following steps:

1. ssh tower.toronto.redhat.com
2. mv .shh .ssh.back    
(this step ensures that you will not get the prompt for your ssh-key
passwords -- move it back when you're done)
3. lauch eclipse and add the the repo on tomato
 
I get about 3 prompts for my login password per operation (list, view
etc) even though the "remember password" box is checked. 

I don't have any external :ext: cvs accounts but it would be useful to
see if it has the same behaviour on an external cvs server.

Note You need to log in before you can comment on or make changes to this bug.